[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TWinControl.DockDrop

Handler for a DragManager dmDragDrop message, sent when a dragged control has been dropped onto this docksite.

## Declaration

Source position: controls.pp line 2396

`public procedure TWinControl.DockDrop(`
`DragDockObject: TDragDockObject;`
`X: Integer;`
`Y: Integer`
`); virtual;`

## Description

Asks the dropped control to dock itself into this docksite, updates its Parent, HostDockSite, and the DockClients for the old and new DockSite.

When a DockManager is installed, it is used to position the docked control (InsertControl).

Finally, an OnDockDrop event is signalled.

## See also

TWinControl.DoDockClientMsg |  | Handles a dmDragDock message, when a control has been docked to this site.
TWinControl.OnDockDrop |  | Event handler signalled for the drop of a control to be docked.
TDragDockObject |  | A drag object for drag-dock.